RDKit: RDKit::MolChemicalFeature Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Friends | List of all members
RDKit::MolChemicalFeature Class Reference

`#include <MolChemicalFeature.h>`

Inheritance diagram for RDKit::MolChemicalFeature:

## Public Types
typedef std::vector< const Atom * > | AtomPtrContainer
typedef AtomPtrContainer::const_iterator | AtomPtrContainer_CI

## Public Member Functions
| MolChemicalFeature (const ROMol *mol, const MolChemicalFeatureFactory *factory, const MolChemicalFeatureDef *fdef, int id=-1)
| Constructor.
| ~MolChemicalFeature () override=default
const std::string & | getFamily () const override
| return the name of the feature's family
const std::string & | getType () const override
| return the name of the feature's type
RDGeom::Point3D | getPos () const override
| return the position of the feature (obtained from from the associated conformation
RDGeom::Point3D | getPos (int confId) const
| return the position of the feature (obtained from from the requested conformation from the associated molecule)
const MolChemicalFeatureFactory * | getFactory () const
| return a pointer to our feature factory
const ROMol * | getMol () const
| return a pointer to our associated molecule
const MolChemicalFeatureDef * | getFeatDef () const
| return a pointer to our feature definition
int | getId () const override
| returns the active conformer (in the associated molecule)
unsigned int | getNumAtoms () const
| returns the number of atoms defining the feature
void | setActiveConformer (int confId)
| sets the active conformer (in the associated molecule)
int | getActiveConformer () const
| returns the active conformer (in the associated molecule)
void | clearCache ()
| clears out the internal position cache
const AtomPtrContainer & | getAtoms () const
| returns our atom container of
AtomPtrContainer::const_iterator | beginAtoms () const
AtomPtrContainer::const_iterator | endAtoms () const
Public Member Functions inherited from ChemicalFeatures::ChemicalFeature
| ChemicalFeature ()
virtual | ~ChemicalFeature ()

## Friends
class | MolChemicalFeatureFactory

## Detailed Description

Definition at line 26 of file MolChemicalFeature.h.

## Member Typedef Documentation

## ◆ AtomPtrContainer

typedef std::vector<const Atom *> RDKit::MolChemicalFeature::AtomPtrContainer

Definition at line 31 of file MolChemicalFeature.h.

## ◆ AtomPtrContainer_CI

typedef AtomPtrContainer::const_iterator RDKit::MolChemicalFeature::AtomPtrContainer_CI

Definition at line 32 of file MolChemicalFeature.h.

## Constructor & Destructor Documentation

## ◆ MolChemicalFeature()

RDKit::MolChemicalFeature::MolChemicalFeature | ( | const ROMol * | mol,
|  | const MolChemicalFeatureFactory * | factory,
|  | const MolChemicalFeatureDef * | fdef,
|  | int | id = -1 )
| inline

Constructor.

Definition at line 35 of file MolChemicalFeature.h.

References MolChemicalFeatureFactory.

## ◆ ~MolChemicalFeature()

RDKit::MolChemicalFeature::~MolChemicalFeature | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ beginAtoms()

AtomPtrContainer::const_iterator RDKit::MolChemicalFeature::beginAtoms | ( |  | ) | const
| inline

Definition at line 80 of file MolChemicalFeature.h.

## ◆ clearCache()

void RDKit::MolChemicalFeature::clearCache | ( |  | ) |
| inline

clears out the internal position cache

Definition at line 76 of file MolChemicalFeature.h.

## ◆ endAtoms()

AtomPtrContainer::const_iterator RDKit::MolChemicalFeature::endAtoms | ( |  | ) | const
| inline

Definition at line 83 of file MolChemicalFeature.h.

## ◆ getActiveConformer()

int RDKit::MolChemicalFeature::getActiveConformer | ( |  | ) | const
| inline

returns the active conformer (in the associated molecule)

Definition at line 73 of file MolChemicalFeature.h.

## ◆ getAtoms()

const AtomPtrContainer & RDKit::MolChemicalFeature::getAtoms | ( |  | ) | const
| inline

returns our atom container of

Definition at line 79 of file MolChemicalFeature.h.

## ◆ getFactory()

const MolChemicalFeatureFactory * RDKit::MolChemicalFeature::getFactory | ( |  | ) | const
| inline

return a pointer to our feature factory

Definition at line 57 of file MolChemicalFeature.h.

References MolChemicalFeatureFactory.

## ◆ getFamily()

const std::string & RDKit::MolChemicalFeature::getFamily | ( |  | ) | const
| overridevirtual

return the name of the feature's family

Implements ChemicalFeatures::ChemicalFeature.

## ◆ getFeatDef()

const MolChemicalFeatureDef * RDKit::MolChemicalFeature::getFeatDef | ( |  | ) | const
| inline

return a pointer to our feature definition

Definition at line 61 of file MolChemicalFeature.h.

## ◆ getId()

int RDKit::MolChemicalFeature::getId | ( |  | ) | const
| inlineoverridevirtual

returns the active conformer (in the associated molecule)

Implements ChemicalFeatures::ChemicalFeature.

Definition at line 64 of file MolChemicalFeature.h.

## ◆ getMol()

const ROMol * RDKit::MolChemicalFeature::getMol | ( |  | ) | const
| inline

return a pointer to our associated molecule

Definition at line 59 of file MolChemicalFeature.h.

## ◆ getNumAtoms()

unsigned int RDKit::MolChemicalFeature::getNumAtoms | ( |  | ) | const
| inline

returns the number of atoms defining the feature

Definition at line 67 of file MolChemicalFeature.h.

## ◆ getPos() [1/2]

RDGeom::Point3D RDKit::MolChemicalFeature::getPos | ( |  | ) | const
| overridevirtual

return the position of the feature (obtained from from the associated conformation

Implements ChemicalFeatures::ChemicalFeature.

## ◆ getPos() [2/2]

RDGeom::Point3D RDKit::MolChemicalFeature::getPos | ( | int | confId | ) | const

return the position of the feature (obtained from from the requested conformation from the associated molecule)

## ◆ getType()

const std::string & RDKit::MolChemicalFeature::getType | ( |  | ) | const
| overridevirtual

return the name of the feature's type

Implements ChemicalFeatures::ChemicalFeature.

## ◆ setActiveConformer()

void RDKit::MolChemicalFeature::setActiveConformer | ( | int | confId | ) |

sets the active conformer (in the associated molecule)

## Friends And Related Symbol Documentation

## ◆ MolChemicalFeatureFactory

friend class MolChemicalFeatureFactory
| friend

Definition at line 28 of file MolChemicalFeature.h.

References MolChemicalFeatureFactory.

Referenced by getFactory(), MolChemicalFeature(), and MolChemicalFeatureFactory.

The documentation for this class was generated from the following file:

- MolChemicalFeature.h